//
// Created by philipp on 02.12.17.
//

#ifndef PROTOCOL_NETWORKTEST_H_H
#define PROTOCOL_NETWORKTEST_H_H

#include <string>

namespace networking
{
namespace test
{

class StringService
{
public:
    using RequestMessage = std::string;
    using ResponseMessage = std::string;
};

void testSyncServices();

void testAsyncServices();

void testTcpClientTimeout();

void testMultipleConnections();

void testStoppingServiceServer();

void testAsyncDatagramReceiver();

void testPeriodicTimer();

void testServiceClientAsyncCallTimeout();

void testDatagramSenderAsyncSend();

void testResolver();

void testStringMessageOverDatagram();

void testStringMessageOverService();

void testServiceServerMaxMessageSize();

void testServiceClientMaxMessageSize();

void testDatagramReceiverMaxMessageSize();

}
}

#endif //PROTOCOL_NETWORKTEST_H_H
